# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hamlet

%global common_summary Haml-like template files that are compile-time checked

%global common_description Hamlet gives you a type-safe tool for generating HTML code. \
It works via Quasi-Quoting, and generating extremely \
efficient output code. The syntax is white-space sensitive, \
and it helps you avoid cross-site scripting issues and 404 \
errors. Please see the documentation at \
<http://docs.yesodweb.com/hamlet/> for more details.

Name:           ghc-%{pkg_name}
Version:        0.10.7.1
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches_with_ghci}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-blaze-builder-prof
BuildRequires:  ghc-blaze-html-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-failure-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-shakespeare-prof >= 0.10.2
BuildRequires:  ghc-template-haskell-prof
BuildRequires:  ghc-text-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files


%changelog
* Tue Feb  7 2012 Jens Petersen <petersen@redhat.com> - 0.10.7.1-1
- update to 0.10.7.1

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.10.6-1
- update to 0.10.6 and cabal2spec-0.25.2

* Tue Nov  1 2011 Jens Petersen <petersen@redhat.com> - 0.10.4-1
- update to 0.10.4

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.10.3-1.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.10.3-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.10.3-1.1
- rebuild with new gmp

* Sat Oct  8 2011 Jens Petersen <petersen@redhat.com> - 0.10.3-1
- update to 0.10.3
- BR prof not devel deps

* Tue Oct  4 2011 Jens Petersen <petersen@redhat.com> - 0.9.0-4
- rebuild against latest blaze-html

* Fri Sep 30 2011 Jens Petersen <petersen@redhat.com> - 0.9.0-3
- rebuild against latest blaze-html

* Thu Aug  4 2011 Jens Petersen <petersen@redhat.com> - 0.9.0-2
- rebuild for blaze-html update

* Mon Jul 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.9.0-1
- Update to 0.9.0
- Update to cabal2spec-0.24

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.8.2.1-2
- ghc_arches replaces ghc_excluded_archs (cabal2spec-0.23.2)

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 0.8.2.1-1
- update to 0.8.2.1
- use ghc_exclude_archs
- cabal2spec-0.23

* Wed Apr 20 2011 Jens Petersen <petersen@redhat.com> - 0.6.1.2-4
- allow to build with blaze-builder-0.3

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.6.1.2-3
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Ben Boeckel <mathstuf@gmail.com> - 0.6.1.2-1
- Update to 0.6.1.2

* Wed Dec 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.3-1
- Update to 0.6.0.3

* Tue Nov 23 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.2-1
- Update to 0.6.0.2

* Fri Nov 12 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.1-1
- Update to 0.6.0.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Tue Sep 21 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.2-1
- Update to 0.5.0.2

* Tue Sep 14 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.1-1
- Update to 0.5.0.1

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
